
:root {
  --base-color: #fff;
  --base-color-contrast: #131313;
  /* --base-color-contrast: #171525; */
  /* --base-color-contrast: #0d0c15; */
  --focus-color: #299cd4;
  --focus-color-contrast: var(--base-color-contrast);
  --footer-background: #050505;
}


:root {
  --color: rgb(from var(--base-color) r g b / 0.85);
  --emphatic-color: rgb(from var(--base-color) r g b / 0.95);
  --background: var(--base-color-contrast);
  --footer-border: 0.07rem solid rgb(from var(--base-color) r g b / 0.15);
  --secondary-focus-color: rgb(from var(--color) r g b / 0.65);

  --rounded-font-family:
    -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu",
    "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;

  font: normal 100% / 1.25 sans-serif;
  color: var(--color);
  background: var(--background);
}
body {
  margin: 0;
}
p {
  margin: 1em 0;
}
a:link,
a:visited,
a:focus,
a:hover,
a:active {
  color: var(--focus-color);
  text-underline-offset: 0.2em;
  text-decoration-thickness: 0.05em;
}
input,
button,
table {
  font: inherit;
  color: inherit;
}


.logo-badges {
  filter: grayscale(1);
}
.logo-badges [data-id="yd"] {
  filter: invert(1) hue-rotate(180deg) opacity(40%);
}


:root {
  --picture-background: #ffffff09;
}
html {
  font: normal 100% / 1.2 sans-serif;
  color: var(--color);
  background: var(--background);
}
body {
  margin: 0;
}
html[data-interactive] picture img {
  opacity: 0.1;
}
html[data-interactive] picture.loaded img {
  opacity: 1;
  transition: opacity 0.3s 0.05s;
}
figcaption .date {
  color: rgb(from var(--color) r g b / 0.35);
  margin-right: 0.2em;
}
nav {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 0.9em;
  text-align: center;
  padding: 0 var(--padding-x);
  user-select: none;
}
nav a,
nav a:link,
nav a:visited,
nav a:hover,
nav a:active {
  color: var(--focus-color);
  text-decoration: none;
}
nav a:hover {
  background: rgb(from var(--focus-color) r g b / 0.1);
}
nav a:not([href]) {
  color: inherit;
  pointer-events: none;
  opacity: 0.3;
}
nav a {
  display: inline-flex;
  min-width: 3.5em;
  text-align: center;
  align-items: center;
  justify-content: center;
  border-radius: 0.25em;
  padding: 0.5em 0.5em 0.55em;
  margin: 0 0.25em;
  box-sizing: border-box;
}
nav a svg {
  stroke-width: 1.25;
}
.viewport-container {
  display: flex;
  flex-direction: column;
  min-height: max(100vh, 360px);
  box-sizing: border-box;
}


header {
  display: flex;
  align-items: center;
  min-height: 1.5rem;
  font-size: 0.8rem;
  color: rgb(from var(--color) r g b / 0.4);
  padding: 0.2rem var(--padding-x) 0.1rem;
  box-sizing: border-box;
}
header p {
  white-space: nowrap;
  margin: 0;
}
header .ref {
  flex: auto;
  overflow: hidden;
  text-overflow: ellipsis;
}
header .ref::before {
  content: "·";
  margin: 0 0.5rem;
}
header .logo {
  font-size: 0.75rem;
}
header .logo a {
  --spacing: 0.2em;
  display: inline-block;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: var(--spacing);
}
header .logo a span {
  display: inline-block;
  position: relative;
}
header .logo a::before {
  content: "⯊ ";
}
header .logo a:hover {
  text-decoration: none;
}
header .logo a:hover span::after {
  content: "";
  height: 0.05em;
  background: currentColor;
  position: absolute;
  inset: auto var(--spacing) 0 0;
}
header a.list {
  white-space: nowrap;
}
header nav {
  justify-content: flex-end;
  white-space: nowrap;
  padding: 0;
  margin-left: 2rem;
  margin-right: -1em;
}
header .logo + nav {
  flex: auto;
}
header nav .sep {
  margin: 0 0.2em;
}
header nav a {
  min-width: 3em;
  padding: 0.15em 0.5em;
}
header nav a:not([href]) {
  opacity: 0.75;
}
header nav a svg {
  stroke-width: 1;
}
header nav a[data-key="quit"] svg {
  stroke-width: 0.75;
}
header .source-details {
  flex: auto;
  display: flex;
  justify-content: flex-end;
}
header .source-details a:link,
header .source-details a:visited,
header .source-details a:focus,
header .source-details a:hover,
header .source-details a:active {
  color: var(--secondary-focus-color);
}


footer {
  display: flex;
  gap: 1.5rem;
  font-size: 0.85rem;
  color: rgb(from var(--color) r g b / 0.4);
  background: var(--footer-background);
  border-top: var(--footer-border);
  padding: 0.5rem var(--padding-x);
}
footer a:link,
footer a:visited,
footer a:focus,
footer a:hover,
footer a:active {
  color: var(--secondary-focus-color);
}
footer h2 {
  font-size: 1em;
  line-height: 1.05;
}
footer .source-details {
  max-width: 600px;
}
footer p.list-title {
  margin-bottom: 0;
}
footer ul {
  list-style: none;
  padding: 0;
  margin: 1em 0;
}
footer p.list-title + ul {
  margin-top: 0;
}
footer li {
  padding: 0;
  margin: 0.15em 0;
}
footer .ref-container {
  display: flex;
  flex-direction: column;
  flex: auto;
  text-align: right;
}
footer .ref {
  flex: auto;
}
footer .ref li {
  margin: 0 0 0.35em 0;
}
footer .cat span {
  display: inline-block;
  color: var(--base-color-contrast);
  background: rgb(from var(--base-color) r g b / 0.5);
  border-radius: 0.2em;
  padding: 0.1em 0.3em 0;
}
@media (width <= 600px) {
  footer {
    flex-direction: column;
    gap: 0.75em;
  }
  footer .ref-container {
    text-align: start;
  }
}


.grid {
  --n: 3;
  --aspect-ratio: 1;
  --grid-item-width: calc((100% - (var(--n) - 1) * var(--grid-gap)) / var(--n));
  --grid-item-content-padding: 0px;
  /* --grid-item-content-padding: 18px; */
  --grid-gap: 6px;
  --grid-item-content-background: transparent;

  display: flex;
  flex-wrap: wrap;
  gap: var(--grid-gap);
  padding: 0 var(--grid-gap);
}
@media (width < 3400px) {
  .grid {
    --n: 8;
  }
}
@media (width < 3000px) {
  .grid {
    --n: 7;
  }
}
@media (width < 2600px) {
  .grid {
    --n: 6;
  }
}
@media (width < 2200px) {
  .grid {
    --n: 5;
  }
}
@media (width < 1800px) {
  .grid {
    --n: 4;
  }
}
@media (width < 1400px) {
  .grid {
    --n: 3;
  }
}
@media (width < 1000px) {
  .grid {
    --n: 2;
  }
}
@media (width < 600px) {
  .grid {
    --n: 1;
    --grid-gap: 0.75rem;
    padding: 0;
  }
}
.grid-item {
  width: var(--grid-item-width);
  margin: 0;
  box-sizing: border-box;
  position: relative;
  scroll-margin-top: var(--grid-gap);
}
.grid-item-content {
  display: flex;
  width: 100%;
  font-size: 0;
  align-items: center;
  justify-content: center;
  background: var(--grid-item-content-background);
  padding: var(--grid-item-content-padding);
  padding-bottom: calc(
    (100% - 2 * var(--grid-item-content-padding)) /
    var(--aspect-ratio) +
    var(--grid-item-content-padding)
  );
  box-sizing: border-box;
  transition: background 1s, box-shadow 1s;
  overflow: hidden;
  position: relative;
}
.grid-item:not(.target-discarded):target .grid-item-content {
  /* background: rgb(from var(--focus-color) r g b / 0.3); */
  box-shadow: 0 0 0rem 0.1rem rgb(from var(--focus-color) r g b / 0.75);
}
.grid-item-content img {
  max-width: calc(100% - 2 * var(--grid-item-content-padding));
  max-height: calc(100% - 2 * var(--grid-item-content-padding));
  height: auto;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.grid-item-caption {
  display: flex;
  gap: 1em;
  font-size: 0.8em;
  padding: 0.5em 1em 1em;
}
.grid-item-caption.empty {
  padding: 0;
}
.grid-item-caption .content {
  flex: auto;
}
.grid[data-clamp-captions] .grid-item-caption .content {
  flex: auto;
  display: -webkit-box;
  -webkit-line-clamp: var(--max-caption-lines);
  -webkit-box-orient: vertical;
  line-clamp: var(--max-caption-lines);
  overflow: hidden;
}
/* The controls should be placed over the item content to allow for
controls with an absent caption */
.grid-item-caption .controls {
  display: flex;
  flex-direction: column;
  gap: 2px;
  text-align: right;
  position: absolute;
  inset: 2px 2px auto auto;
}
.grid-item-caption .controls a {
  display: flex;
  align-items: center;
  text-decoration: none;
  border-radius: 0.2em;
  padding: 0.35em;
  transition: background 0.2s, color 0.2s;
}
.grid-item-caption .controls a:link,
.grid-item-caption .controls a:visited,
.grid-item-caption .controls a:focus,
.grid-item-caption .controls a:active {
  color: rgb(from var(--base-color) r g b / 0.8);
  background: rgb(from var(--base-color-contrast) r g b / 0.3);
}
.grid-item-caption .controls a:hover {
  color: rgb(from var(--base-color-contrast) r g b / 0.8);
  background: rgb(from var(--base-color) r g b / 0.5);
}
.grid-item-caption .controls a svg {
  height: 0.9em;
  stroke-width: 0.75;
}


:root {
  --padding-x: 1rem;
}
.layout {
  display: flex;
  flex-direction: column;
  max-width: 3200px;
  min-height: 100vh;
  margin: 0 auto;
}
h1 {
  font-size: 1.75rem;
  font-weight: 900;
  line-height: 1.05;
  margin: 0;
}
.grid {
  --grid-item-content-background: var(--picture-background);
  margin: 0.5rem auto;
}
.single-page.layout .grid {
  margin-bottom: 1.5rem;
}
main {
  flex: auto;
}
main > .title {
  text-align: center;
  padding: 0.5rem var(--padding-x) 1.5rem;
}
main > .title p {
  font-size: 0.85rem;
  color: rgb(from var(--color) r g b / 0.5);
  margin: 0;
}
main > .title h1 + p {
  margin-top: 0.25em;
}
main > .title p strong {
  font-weight: normal;
}
main > .title a:link,
main > .title a:visited,
main > .title a:focus,
main > .title a:hover,
main > .title a:active {
  color: var(--secondary-focus-color);
}
footer {
  margin-top: 0.5rem;
}
.content-only.layout header,
.content-only.layout footer {
  display: none;
}
.content-only.layout main > .title {
  padding: 1.5rem var(--padding-x) 1rem;
}
.content-only.single-page.layout main > .title {
  padding: 1.5rem var(--padding-x);
}
.content-only.layout nav:first-child {
  margin-top: 0.5rem;
}
.content-only.layout nav:last-child {
  margin-bottom: 0.5rem;
}
@media (width <= 600px) {
  :root {
    --padding-x: 0.5rem;
  }
  main > .title {
    padding-top: 1.35rem;
  }
}

.source-details .tipbox {
  margin: 0.6em -0.5em 0 0;
  inset: 100% 0 auto auto;
}
.source-details .tipbox::before {
  inset: -0.25em 2em auto auto;
}
.source-details .li {
  display: block;
  max-width: 500px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  margin: 0.25em 0;
}
footer .source-details .tipbox {
  margin: -0.35em -0.5em 0 0;
  inset: 0 auto auto 50%;
  transform: translate(-50%, -100%);
}
footer .source-details .tipbox::before {
  inset: auto auto -0.1em 50%;
  transform: rotate(-135deg) translateX(-50%);
}
